import { jsx as _jsx } from "react/jsx-runtime";
import { memo, useMemo } from 'react';
import { VerbDescription } from '../verbForm/VerbDescription.js';
export const OneHotDescription = /*#__PURE__*/ memo(function OneHotDescription(props) {
    const rows = useMemo(()=>{
        const { step: { args  } ,  } = props;
        return [
            {
                before: 'column',
                value: args.column
            },
            {
                before: 'with prefix',
                value: args.prefix
            }, 
        ];
    }, [
        props
    ]);
    return /*#__PURE__*/ _jsx(VerbDescription, {
        ...props,
        rows: rows
    });
});
